## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMap::Entry Struct Template Reference

`#include <XalanMap.hpp>`

List of all members.

## Public Methods

- Entry (value_type *theValue)

## Public Attributes

- value_type* value
- bool erased

### template<class Key, class Value, class KeyTraits = XalanMapKeyTraits<Key>> struct XalanMap::Entry

## Constructor & Destructor Documentation

XalanMap::Entry::Entry ( | value_type * theValue )

## Member Data Documentation

bool XalanMap::Entry::erased

value_type * XalanMap::Entry::value

The documentation for this struct was generated from the following file:

- XalanMap.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.